<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------+
| Shoutbox v6.01.4.2r - Modded by Shedrock 2006
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

if (file_exists(INFUSIONS."shoutbox/locale/".LANGUAGE.".php")) {
	include_once(INFUSIONS."shoutbox/locale/".LANGUAGE.".php");
} else {
	include_once(INFUSIONS."shoutbox/locale/German.php");
}
	echo "<script type='text/javascript' src='".INFUSIONS."shoutbox/functions.js'></script>";
include_once(INCLUDES."ubbparser.class.php");
	$i = 0;
$subb = new ubbParser(INCLUDES."plugins/");
$subb->ubbcode_allowed=array("b","i","u","s","color","url");
$subb->ubb_auto_url="on";

openside($locale['120']);
echo '<div class="shoutbox" style="white-space:normal;max-width:150px;width:'.$theme_width_r.';">';
/**
* Set minimum and maximum shouts you want displayed on each level.
*/
	$min = $settings['numofshouts'];	    //minimum visible shouts in first level.
	$max=8;        //maximum number of shouts in second level (hidden).


		if (checkrights("S") && $action == "delete" && isNum($shout_id)) {
		$result = update_table(DB_PREFIX."shoutbox","WHERE shout_id='".$shout_id."'","delete");
		}
		if (iMEMBER || $settings['guestposts'] == "1") {
		if (isset($_POST['post_shout'])) {
		$flood = false;
		if (iMEMBER) {
			$shout_name = $userdata['user_id'];
		} elseif ($settings['guestposts'] == "1") {
			if (check_captcha($_POST['captcha_encode'],$_POST['key'])) {
			$shout_name = "";
			if (strlen($_POST['shout_name'])<=50) {			
			$shout_name = trim(stripinput(spam_control($_POST['shout_name'])));
			$shout_name = preg_replace("(^[0-9]*)", "", $shout_name);
			if (isNum($shout_name)) $shout_name="";
			}
			} else {
			$shout_name='';	
			}
		}
		$shout_message="";
		if (strlen($_POST['shout_message'])<=200) {
		$shout_message = str_replace("\n", " ", spam_control($_POST['shout_message']));
		$shout_message = preg_replace("/^(.{255}).*$/", "$1", $shout_message);
		$shout_message = preg_replace("/([^\s]{25})/", "$1\n", $shout_message);
		$shout_message = trim(stripinput(censorwords($shout_message)));
		$shout_message = str_replace("\n", "<br>", $shout_message);
		}
		$shout_message = preg_replace("[\[(.*?)\]]", "", $shout_message)=="" ? "" : $shout_message;
		if ($shout_name != "" && $shout_message != "") {
			
			// Floodcontrol
			$flood = flood_control('shoutbox','shout_ip','shout_datestamp');
		if (!$flood) $result = update_table(DB_PREFIX."shoutbox","(shout_name, shout_message, shout_datestamp, shout_ip) VALUES ('".$shout_name."', '".$shout_message."', '".time()."', '".USER_IP."')","insert");
		}
		redirect($PHP_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : ""));
	}

/**
* Smiley Popup Script.
*/
		echo "<script type='text/javascript' language='JavaScript'>
	<!-- Begin
	function smileys(URL) {
	day = new Date();
	id = day.getTime();
	eval(\"page\" + id + \" = window.open(URL, 'new', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=0,width=400,height=150,left=407,top=329');\");
}
	
    
// End Smiley Popup-->
	</script>

	<form name='shoutform' method='post' action='".$PHP_SELF.(FUSION_QUERY ? "?".str_replace("&","&amp;",FUSION_QUERY) : "")."'>
	<div align='center' class='small'>".$locale['fb_001']."<br /><input style='background:transparent;font-weight:bold;vertical-align:middle;text-align:center;' class='textbox' disabled type='text' name='commentlen' size='3' maxlength='3' value='200'></div>
	\n";
		if (iGUEST) {
		echo $locale['121']."<br />
	<input type='text' name='shout_name' value='' class='textbox' maxlength='30' style='width:140px;'><br />".$locale['122']."<br />\n";
	}
		echo "<textarea onKeyDown=\"textCounter(this.form.shout_message,this.form.commentlen,200);\" onKeyUp=\"textCounter(this.form.shout_message,this.form.commentlen,200);\" id='shout_message' name='shout_message' rows='4' class='textbox' style='width:140px;'>".str_replace("<br>", "", $data['shout_message'])."</textarea><br />
	<a style='text-decoration:none;border:0px;' href=\"javascript:fuzetext('shout_message','[b]','[/b]');\"><img class='button' src='".FORUMIMAGE."bbcode/bold.gif' border='0' alt='".$locale['shout407']."' title='".$locale['shout407']."' /></a> <a style='text-decoration:none;border:0px;' href=\"javascript:fuzetext('shout_message','[i]','[/i]');\"><img class='button' src='".FORUMIMAGE."bbcode/italic.gif' border='0' alt='".$locale['shout408']."' title='".$locale['shout408']."' /></a> <a style='text-decoration:none;border:0px;' href=\"javascript:fuzetext('shout_message','[u]','[/u]');\"><img class='button' src='".FORUMIMAGE."bbcode/under.gif' border='0' alt='".$locale['shout409']."' title='".$locale['shout409']."' /></a>
	<a style='text-decoration:none; font-weight:normal;' href=\"javascript:smileys('".INFUSIONS."shoutbox/smileys.php')\"><img class='button' src='".FORUMIMAGE."bbcode/smiley.gif' border='0' alt='ALT' title='".$locale['fb_003']."' /></a>
	<br />";
	if (!iMEMBER && $settings['guestposts']==1) {
echo '<br />'.$locale['u033'].'<br />'.make_captcha().'<br /><input type="text" name="key" class="textbox" style="font-size:12px;font-weight:bold;width:90px;text-align:center;" maxlength="7" /><br /><br />';
}		
	echo "<input alt='".$locale['fb_002']."' title='".$locale['fb_002']."' type='submit' name='post_shout' value='".$locale['123']."' class='button'>
	</form><br />";

	} else {
		echo "<center>".$locale['125']."</center><br />\n";
}

		$numrows = dbcount("(shout_id)","shoutbox");
		
		if ($numrows>0) {
		$sresult = dbquery("SELECT s.shout_message,s.shout_name,s.shout_datestamp,s.shout_id, IFNULL(u.user_id,0) as user_id,IFNULL(u.user_name,s.shout_name) as user_name,u.user_nopm,u.user_avatar,u.user_joined,u.user_lastvisit,IFNULL(u.user_level,0) as user_level,IFNULL(u.user_status,0) as user_status FROM ".DB_PREFIX."shoutbox AS s LEFT OUTER JOIN ".DB_PREFIX."users AS u
ON s.shout_name=u.user_id ORDER BY s.shout_datestamp DESC LIMIT 0,".$min);
		$srows = dbrows($sresult);
		if ($srows > 0) {
		$i = 0;
		echo '<table cellspacing="0" cellpadding="2">';
		while ($data = dbarray($sresult)) {
		echo '<tr><td>';	

/**
* Modded for user ban display names, send private message and member homepage.
*/
		if (iMEMBER) {
			if ($data['user_level']>0 && $data['user_status'] == 1) {
			echo "";
			} else if (!isset($userdata['user_id']) || $data['user_id'] != $userdata['user_id']) {
		echo '<a href=\'javascript:fuzetext("shout_message","[b]@'.$data['user_name'].':[/b]%20-%20","");\'><span class="shoutboxname"><img src="'.INFUSIONS.'shoutbox/images/amp.png" border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['fb_006'].'</span>'),'').')" onMouseOut="UnTip();" /></span></a>';
}
		if (iMEMBER){if ($data['user_status'] == 1) {
		echo "";
		} else {
		if (!isset($userdata['user_id']) || $data['user_level']>0 && $data['user_id'] != $userdata['user_id']) {
			if (!(bool)$data['user_nopm']) {
			echo '<a href="'.BASEDIR.'messages.php?msg_send='.$data['user_id'].'"><img src="'.INFUSIONS.'shoutbox/images/pm.png"  border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['u060'].'</span>'),'').')" onMouseOut="UnTip();" /></a> ';
			}
			} else echo "<img alt='bullet' src='".THEME."images/bullet.gif' /> ";
		}
}
		if (iMEMBER){if ($data['user_level']>0 && $data['user_status'] == 0) {
		if (!isset($userdata['user_id']) || $data['user_level']>0 && $data['user_id'] != $userdata['user_id']) {
		}
	}
}
 	}	else if ($data['user_level']>0 && $data['user_status'] == "1") {
		echo "<span style='color:#0000FF;' title='".$locale['fb_012']."'><b># </b></span>";
		}else if ($data['user_status'] == "0"){
		echo "<img alt='bullet' src='".THEME."images/bullet.gif' /> ";
	}
		if ($data['user_level']>0 && $data['user_status'] == 1) {
		if (iMEMBER){
		echo "<span style='color:#0000FF;' title='".$locale['fb_012']."'><b># </b></span>";
		}else if ($data['user_status'] == "0"){
		echo "<img alt='bullet' src='".THEME."images/bullet.gif' /> ";
	}
}
/**
* End ban display names.
*/

/**
* Modded for colored names.
*/
$lastseen="";
if ($data['user_level']>0) { 
$lastseen = time() - $data['user_lastvisit'];

	if($lastseen < 60) {
	$lastseen = '<nobr><img src="'.INFUSIONS.'shoutbox/images/user_online.gif" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['mop122'].'</span>'),'').')" onMouseOut="UnTip();" /></nobr>';
} else {
	$lastseen = '<nobr><img src="'.INFUSIONS.'shoutbox/images/user_offline.gif" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['mop121'].'</span>'),'').')" onMouseOut="UnTip();" /></nobr>';
}

		$shoutcount = dbcount("(shout_id)", "shoutbox", "shout_name='".$data['user_id']."'");
		if ($data['user_level'] == "103") {
		$userx = "<b>".$data['user_name']."</b>";
		}else if ($data['user_level'] == "102") {
		$userx = "<b>".$data['user_name']."</b>";
		}else if ($data['user_level'] == "101") {
		$userx = "<b>".$data['user_name']."</b>";
		}if ($data['user_status'] == 1) {
		$userx = "<font color='#B0B0B0' title='".$locale['fb_012']."'>".$data['user_name']."</font>";
		}
}		
/**
* End color mod.
*/
		if ($data['user_level']>0 && $data['user_name']) {
			if ($data['user_avatar'] != "") { $avatar = "<img src=\'".IMAGES."avatars/".$data['user_avatar']."\'>"; } else { $avatar = "<img src=\'".INFUSIONS."shoutbox/images/noav.gif\' />"; }
		if (iMEMBER) 	
	    echo '<a '.wztool(wztooltip('<center>'.$avatar.'</center><br /><br />
		<b>'.$locale['u401'].'</b><br /><span class=&quot;shoutboxname&quot;><b>'.$data['user_name'].'</b></span><br /><br />
		<b>'.$locale['u045'].'</b><br /><span class=&quot;shoutboxname&quot;>'.getuserlevel($data['user_level']).'</span><br /><br />
		<b>'.$locale['u040'].'</b><br /><span class=&quot;shoutboxname&quot;>'.showdate("shortdate", $data['user_joined']).'</span><br /><br />
		<b>'.$locale['u044'].'</b><br /><span class=&quot;shoutboxname&quot;>'.showdate("shortdate", $data['user_lastvisit']).'</span><br /><br />
		<b>'.$locale['u041'].'</b><br /><span class=&quot;shoutboxname&quot;>'.$shoutcount.' '.$locale['fb_024'].'</span>'),$locale['u420']).');" onMouseOut="UnTip();" href="'.$tpl->url(SEO_UPROFILE,'profile.php','lookup=',$data['user_id'],null,null,$data['user_name']).'" class="shoutboxname">'.$userx.'</a><a href="'.INFUSIONS.'shoutbox/shoutbox_user_archive.php?shout_user='.$data['user_id'].'"><img src="'.BASEDIR.'infusions/shoutbox/images/user_info.gif" border="0" '.wztool (wztooltip('<span class=\'info1\'>'.$locale['shout410'].'</span>'),'').')" onMouseOut="UnTip();" /></a>';
	  else echo "<span class='shoutboxname'>".$userx."</span>"; 
      echo "&nbsp;$lastseen";
		} else {
			if($data['user_name']=='') {
			echo "<strong><em>".$data['shout_name']."</em></strong>\n";
			} else {
			echo "<strong><em>".$data['user_name']."</em></strong>\n";	
			}
		}
		echo "<br />\n<span class='shoutboxdate'><b><i>".showdate("%d.%m.%Y - %H:%M", $data['shout_datestamp'])."</i></b></span>";

		if (iADMIN && checkrights("S")) {
		echo "<br />\n[<a href='".ADMIN."shoutbox.php".$aidlink."&amp;action=edit&amp;shout_id=".$data['shout_id']."' class='side'>".$locale['048']."</a> - <a href='".ADMIN."shoutbox.php".$aidlink."&amp;action=delete&amp;shout_id=".$data['shout_id']."' class='side'>".$locale['049']."</a>] ";
		echo "<br />";
		} else {
		echo "<br />\n";
}
		echo "<span class='shoutbox'>".descript($subb->getHTML(parsesmileys($data['shout_message'])))."</span>\n";
		echo '</td></tr>';
	} @mysql_free_result($sresult);
		echo '</table>';
		}
		} else {
		echo "<div align='left'>".$locale['127']."</div>\n";
}

		if (iMEMBER) {
		echo "<hr /><center>\n<img alt='bullet' border='0' src='".THEME."images/bullet.gif' /> ";
		echo "<a href='".INFUSIONS."shoutbox/shoutbox_archive.php' class='side'>".$locale['126']."</a> ";
		echo "<img alt='bullet' border='0' src='".THEME."images/bulletb.gif' /><br />";
		echo "<img alt='bullet' border='0' src='".THEME."images/bullet.gif' /> ";
		echo "<a href='".INFUSIONS."shoutbox/shoutboxhelp.php' class='side'>".$locale['fb_015']."</a> ";
		echo "<img alt='bullet' border='0' src='".THEME."images/bulletb.gif' /></center>\n";
		} else {
		echo "<div align='left'></div>\n";
}
echo '<div>';
closeside();
?>
